| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::VertexCacheProfiler Class Reference
Core » RenderSystem

Vertex cache profiler. More...

`#include <OgreVertexIndexData.h>`

Inheritance diagram for Ogre::VertexCacheProfiler:
[legend]

## Public Member Functions
| VertexCacheProfiler (unsigned int cachesize=16)
| ~VertexCacheProfiler ()
void | flush ()
unsigned int | getHits ()
unsigned int | getMisses ()
unsigned int | getSize ()
void | profile (const HardwareIndexBufferSharedPtr &indexBuffer)
void | reset ()

## Detailed Description

Vertex cache profiler.

Remarks
  Utility class for evaluating the effectiveness of the use of the vertex cache by a given index buffer.

## Constructor & Destructor Documentation

## ◆ VertexCacheProfiler()

Ogre::VertexCacheProfiler::VertexCacheProfiler | ( | unsigned int | cachesize = `16` | ) |
| inline

References Ogre::MEMCATEGORY_GEOMETRY, and OGRE_ALLOC_T.

## ◆ ~VertexCacheProfiler()

Ogre::VertexCacheProfiler::~VertexCacheProfiler | ( |  | ) |
| inline

References Ogre::MEMCATEGORY_GEOMETRY, and OGRE_FREE.

## Member Function Documentation

## ◆ profile()

void Ogre::VertexCacheProfiler::profile | ( | const HardwareIndexBufferSharedPtr & | indexBuffer | ) |

## ◆ reset()

void Ogre::VertexCacheProfiler::reset | ( | void |  | ) |
| inline

## ◆ flush()

void Ogre::VertexCacheProfiler::flush | ( |  | ) |
| inline

## ◆ getHits()

unsigned int Ogre::VertexCacheProfiler::getHits | ( |  | ) |
| inline

## ◆ getMisses()

unsigned int Ogre::VertexCacheProfiler::getMisses | ( |  | ) |
| inline

## ◆ getSize()

unsigned int Ogre::VertexCacheProfiler::getSize | ( | void |  | ) |
| inline

The documentation for this class was generated from the following file:

- OgreVertexIndexData.h